#pragma once

#include <materiallayer.h>

namespace M3D
{

/**
	@author Denis A. Biryukov <denis.birukov@gmail.com>
*/
class FloatLayer : public MaterialLayer
{
	public:
		FloatLayer();

		~FloatLayer();
		virtual void set_layer(OpenGLState *state);
		virtual void load( const std::string &base_dir, M3DML_BLOCK_TYPE block_type, const M3DML_Layer *layer, EngineInterface *engine );
	private:
		float _value_;
};

}
